Mailinglist Archive: opensuse (3637 mails)

< Previous Next >
Re: [SLE] VMware
  • From: "Christopher R. Carlen" <crcarle@xxxxxxxxxx>
  • Date: Wed, 23 May 2001 10:04:44 -0700
  • Message-id: <3B0BEDAC.FBAB45BE@xxxxxxxxxx>
Keith Edmunds wrote:
>
> I'm trying to install VMware from the 7.1 DVD. I am running vmware-config.pl
> and saying:
>
> Access host filesystem? no
> Use network in VM? yes
> host-only network? no
>
> Then I get, when starting VMware services:
>
> Virtual machine monitor - done
> Virtual ethernet - failed
> Bridged networking on /dev/vmnet0 - failed
>
> It is VMware 2.0.3 build-799 running on SMP kernel 2.4.3


I thought one needs VMware 2.0.4 to get 2.4.x kernel support.

I'd suggest downloading the 2.0.4 from vmware's www site. Then,
depending on whether you are using Suse's kernel as opposed to a generic
kernel, you may have trouble getting vmware's modules to load.

I have had two experiences which may be of interest:

1. Installed vmware 2.0.4 on a 2.4.0 stock Suse kernel machine,
everything went fine. Then I upgraded the kernel to 2.4.2 and
everything was still fine.

2. Installed vmware 2.0.4 on a 2.4.2 Suse update kernel machine.
vmware-config.pl attempted to compile the kernel modules, but failed
after complaining that the headers version didn't match that of the
running kernel. So I installed the Suse 2.4.2 kernel source. Still the
same problem.

So I downgraded to 2.4.0 and then got vmware working. Interestingly I
can also boot the 2.2.18 kernel on this machine, and Vmware still loads
Ok. I expect that like my 1st experience, re-upgrading to 2.4.2 will be
OK.

_______________________
Christopher R. Carlen
Sr. Laser/Optical Tech.
Sandia National Labs

< Previous Next >
Follow Ups
References